Subject: bug#47639: 28.0.50; In Gnus, missing In-Reply-To when saving a draft, re-editing it and sending the email

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 04 May 2021 16:41:51 -0700

Bastien <[email-masked]> writes:

> In Gnus, when replying with S W and sending immediately, the
> In-Reply-To header is correctly set.
>
> But when saving the email as a draft then re-editing this draft
> (D e) before sending it, the In-Reply-To is missing in the received
> email.

Does it get deleted when you save the message, or when you start editing
it again?

> Setting `message-generate-headers-first' to `t` does solve the
> issue by generating the In-Reply-To before saving it as a draft
> and reusing the In-Reply-To value when sending, but the default
> behavior when replying should be to preserve In-Reply-To, even
> when temporarily storing the email as a draft, and even with
> `message-generate-headers-first'.

If you add 'In-Reply-To to the value of `message-draft-headers' does it
behave the way you want?

Tbh I don't know what the right approach is, here.